function num = Simp_combi(N,K)
%
M = double(N);  

if K == 1
    num =(1:N).';  
elseif K == N
    num = (1:N);  
elseif K==2 && N>2  
    BC = (M-1)*M / 2;
    id1 = cumsum2((M-1):-1:2)+1;
    num = zeros(BC,2,class(N));
    num(:,2) = 1;
    num(1,:) = [1 2];
    num(id1,1) = 1;
    num(id1,2) = -((N-3):-1:0);
    num = cumsum2(num);  
end

function A = cumsum2(A)

if isfloat(A)
    A = cumsum(A);  % For single and double, use built-in.
    return
else
    try
        A = cumsumall(A);  % User has the MEX-File ready?
    catch
        for ii = 2:size(A,1)
            A(ii,:) = A(ii,:) + A(ii-1,:); % User likes it slow.
        end
    end
end